Issue 122387 - [sidebar] Font colour of text inside a shape in Writer not set by toolbar item
[sidebar] Font colour of text inside a shape in Writer not set by toolbar item
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
: regression
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-26 16:32 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 13:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-05-26 16:32:13 UTC
- New Writer document
- Insert a shape
- Write some text inside the shape
- Try to change the text colour with the "Font Color" toolbar item in the Text properties panel of the Sidebar

The colour does not change.

On TextPropertyPanel::TextPropertyPanel


        mpToolBoxFontColor(ControlFactory::CreateToolBox(
                mpToolBoxFontColorBackground.get(),
                rContext.GetApplication_DI() == sfx2::sidebar::EnumContext::Application_WriterVariants
                    ? SVX_RES(TB_FONTCOLOR_SW)
                    : SVX_RES(TB_FONTCOLOR),
                rxFrame)),

when the context is Writer, the controller is created for ".uno:FontColor", as defined in ToolBox TB_FONTCOLOR_SW.

This works for text in text context but not for drawing context. In Writer, font colour of text inside shape can be set with ".uno:Color", not with ".uno:FontColor", this command is the one on the toolbar (right-click on the drawing toolbar, select "Visible Buttons" and set "Font Color" visible).
Comment 1 Andre 2013-05-27 12:57:48 UTC
Added a second toolbox for the font color.  Now we have 
mpToolBoxFontColor for .uno:Color and
mpToolBoxFontColorSW for .uno:FontColor.

The right toolbox is selected when the text panel is created or on context changes.
Comment 2 SVN Robot 2013-05-27 12:58:50 UTC
"af" committed SVN revision 1486603 into trunk:
122387: Use the right tool box for font color in text sidebar.